## org.beepcore.beep.core
Interface MessageMSG

All Superinterfaces:
  Message

public interface MessageMSG
extends Message

This interface represents the operations available for messages of type MSG.

Field Summary

Fields inherited from interface org.beepcore.beep.core.Message
`MESSAGE_TYPE_ANS, MESSAGE_TYPE_ERR, MESSAGE_TYPE_MSG, MESSAGE_TYPE_NUL, MESSAGE_TYPE_RPY, MESSAGE_TYPE_UNK`

Method Summary
`MessageStatus` `sendANS(OutputDataStream stream)` Sends an ANS reply to this MSG message.
`MessageStatus` `sendERR(BEEPError error)` Sends an ERR reply to this MSG message.
`MessageStatus` `sendERR(int code, java.lang.String diagnostic)` Sends an ERR reply to this MSG message.
`MessageStatus` `sendERR(int code, java.lang.String diagnostic, java.lang.String xmlLang)` Sends an ERR reply to this MSG message.
`MessageStatus` `sendNUL()` Sends a reply of type NUL to this MSG message.
`MessageStatus` `sendRPY(OutputDataStream stream)` Sends a RPY reply to this MSG message.

Methods inherited from interface org.beepcore.beep.core.Message
`getAnsno, getChannel, getDataStream, getMessageType, getMsgno`

Method Detail

### sendANS

    public MessageStatus sendANS(OutputDataStream stream)
                          throws BEEPException

  Sends an ANS reply to this MSG message.

  Specified by:
    `sendANS` in interface `Message`
  Parameters:
    `stream` - Payload to be sent.
  Throws:
    `BEEPException`
  See Also:
    `OutputDataStream`, `MessageStatus`, `sendNUL()`

### sendERR

    public MessageStatus sendERR(BEEPError error)
                          throws BEEPException

  Sends an ERR reply to this MSG message.

  Specified by:
    `sendERR` in interface `Message`
  Parameters:
    `error` - Error to send in the form of `BEEPError`.
  Throws:
    `BEEPException`
  See Also:
    `BEEPError`, `MessageStatus`

### sendERR

    public MessageStatus sendERR(int code,
                                 java.lang.String diagnostic)
                          throws BEEPException

  Sends an ERR reply to this MSG message.

  Specified by:
    `sendERR` in interface `Message`
  Parameters:
    `code` - `code` attibute in `error` element.
    `diagnostic` - Message for `error` element.
  Throws:
    `BEEPException`
  See Also:
    `MessageStatus`

### sendERR

    public MessageStatus sendERR(int code,
                                 java.lang.String diagnostic,
                                 java.lang.String xmlLang)
                          throws BEEPException

  Sends an ERR reply to this MSG message.

  Specified by:
    `sendERR` in interface `Message`
  Parameters:
    `code` - `code` attibute in `error` element.
    `diagnostic` - Message for `error` element.
    `xmlLang` - `xml:lang` attibute in `error` element.
  Returns:
    MessageStatus
  Throws:
    `BEEPException`
  See Also:
    `MessageStatus`

### sendNUL

    public MessageStatus sendNUL()
                          throws BEEPException

  Sends a reply of type NUL to this MSG message. This is sent as the completion to a MSG/ANS/NUL message exchange.

  Specified by:
    `sendNUL` in interface `Message`
  Returns:
    MessageStatus
  Throws:
    `BEEPException`
  See Also:
    `MessageStatus`, `sendANS(org.beepcore.beep.core.OutputDataStream)`

### sendRPY

    public MessageStatus sendRPY(OutputDataStream stream)
                          throws BEEPException

  Sends a RPY reply to this MSG message.

  Specified by:
    `sendRPY` in interface `Message`
  Parameters:
    `stream` - Payload to be sent.
  Returns:
    MessageStatus
  Throws:
    `BEEPException`
  See Also:
    `OutputDataStream`, `MessageStatus`

Copyright ? 2001 Invisible Worlds, Inc. All Rights Reserved.